Skip to main content
POST
/
invoices
/
{invoice_id}
/
void
Void Invoice
curl --request POST \
  --url https://api.atlas.co/functions/v1/invoices/{invoice_id}/void \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "invoice",
  "number": "<string>",
  "customer": "<string>",
  "subscription": "<string>",
  "status": "draft",
  "collection_method": "<string>",
  "currency": "<string>",
  "amount_due": 123,
  "amount_paid": 123,
  "amount_remaining": 123,
  "subtotal": 123,
  "tax": 123,
  "total": 123,
  "description": "<string>",
  "due_date": 123,
  "period_start": 123,
  "period_end": 123,
  "lines": {
    "object": "list",
    "data": [
      {
        "id": "<string>",
        "object": "line_item",
        "amount": 123,
        "currency": "<string>",
        "description": "<string>",
        "price": {
          "id": "<string>",
          "product": "<string>"
        },
        "quantity": 123,
        "period": {
          "start": 123,
          "end": 123
        }
      }
    ]
  },
  "paid": true,
  "paid_at": 123,
  "voided_at": 123,
  "hosted_invoice_url": "<string>",
  "metadata": {},
  "created": 123
}

Authorizations

Authorization
string
header
required

API key (sk_test_* or sk_live_*)

Path Parameters

invoice_id
string
required

Response

Invoice voided

id
string
object
enum<string>
Available options:
invoice
number
string
customer
string
subscription
string
status
enum<string>
Available options:
draft,
open,
paid,
void,
uncollectible,
past_due
collection_method
string
currency
string
amount_due
integer
amount_paid
integer
amount_remaining
integer
subtotal
integer
tax
integer
total
integer
description
string
due_date
integer
period_start
integer
period_end
integer
lines
object
paid
boolean
paid_at
integer
voided_at
integer
hosted_invoice_url
string
metadata
object
created
integer